메인 콘텐츠로 건너뛰기
POST
/
{provider}
/
{path}
curl https://api.arouter.ai/openai/v1/chat/completions \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
ARouter의 프로바이더 프록시는 프로바이더 인증을 처리하면서 지원되는 프로바이더의 네이티브 API로 요청을 직접 전달합니다.
curl https://api.arouter.ai/openai/v1/chat/completions \
  -H "Authorization: Bearer lr_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'

경로 파라미터

파라미터설명
provideropenai, anthropic, google, deepseek, 또는 groq 등의 프로바이더 슬러그
path프로바이더 접두사 뒤에 전달할 네이티브 API 경로

참고 사항

  • 요청과 응답은 프로바이더의 네이티브 형식으로 전달됩니다.
  • ARouter가 프로바이더 자격 증명을 자동으로 주입합니다. ARouter API key만 전송하면 됩니다.
  • 사용량은 여전히 ARouter 계정에 대해 측정됩니다.
  • 정규화된 ARouter 요청 스키마에 표현되지 않는 프로바이더 네이티브 기능이 필요할 때 이 엔드포인트를 사용하세요.
프로바이더별 예시가 포함된 더 광범위한 가이드는 프로바이더 프록시를 참조하세요.